package com.pixelized.desktop.lwa.usecase

import com.pixelized.desktop.lwa.repository.settings.model.Settings

class SettingsUseCase {

    fun defaultSettings(): Settings = Settings(
        playerName = "",
        portrait = Settings.Portrait(
            dynamicDice = true,
            dynamicDiceDelay = 8000,
        ),
        chat = Settings.Chat(
            showChat = true,
            autoScrollChat = true,
            maxLineCount = 200,
        ),
        network = Settings.Network(
            host = DEFAULT_HOST,
            port = DEFAULT_PORT,
        ),
        isAdmin = null,
        isGameMaster = null,
    )

    companion object {
        private const val DEFAULT_HOST = "http://pixelized.freeboxos.fr"
        private const val DEFAULT_PORT = 16030
    }
}